function defense_mob_api.library.set_up_observers(name)
	local observers, ocount = {}, 0
	defense_mob_api[name] = function(func)
		ocount = ocount + 1
		observers[ocount] = func
	end
	
	local function iterate(...)
		for i = 1, ocount
		do
			observers[i](...)
		end
	end
	return iterate
end
